public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/prosody/
Date: Sat,  3 Oct 2020 13:43:49 +0000 (UTC)	[thread overview]
Message-ID: <1601732619.8f65138eda0e652b8f80f4652a223237f4e35c8b.conikost@gentoo> (raw)

commit:     8f65138eda0e652b8f80f4652a223237f4e35c8b
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  3 13:42:48 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Oct  3 13:43:39 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f65138e

net-im/prosody: fix tests for 0.11.5

Closes: https://bugs.gentoo.org/740662
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 net-im/prosody/prosody-0.11.5-r1.ebuild | 72 +++++++++++++++++++++++++++++++++
 1 file changed, 72 insertions(+)

diff --git a/net-im/prosody/prosody-0.11.5-r1.ebuild b/net-im/prosody/prosody-0.11.5-r1.ebuild
new file mode 100644
index 00000000000..6ffc3bd7b48
--- /dev/null
+++ b/net-im/prosody/prosody-0.11.5-r1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib systemd toolchain-funcs
+
+DESCRIPTION="Prosody is a flexible communications server for Jabber/XMPP written in Lua"
+HOMEPAGE="https://prosody.im/"
+SRC_URI="https://prosody.im/downloads/source/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 arm x86"
+IUSE="ipv6 jit libevent libressl mysql postgres sqlite ssl test zlib"
+RESTRICT="!test? ( test )"
+
+BASE_DEPEND="net-im/jabber-base
+		dev-lua/LuaBitOp
+		!jit? ( >=dev-lang/lua-5.1:0 )
+		jit? ( dev-lang/luajit:2 )
+		!libressl? ( dev-libs/openssl:0 )
+		libressl? ( dev-libs/libressl:= )
+		>=net-dns/libidn-1.1:="
+
+DEPEND="${BASE_DEPEND}
+		test? ( dev-lua/busted )"
+
+RDEPEND="${BASE_DEPEND}
+		~dev-lua/luaexpat-1.3.0
+		dev-lua/luafilesystem
+		!ipv6? ( dev-lua/luasocket )
+		ipv6? ( >=dev-lua/luasocket-3 )
+		libevent? ( >=dev-lua/luaevent-0.4.3 )
+		mysql? ( dev-lua/luadbi[mysql] )
+		postgres? ( dev-lua/luadbi[postgres] )
+		sqlite? ( dev-lua/luadbi[sqlite] )
+		ssl? ( dev-lua/luasec )
+		zlib? ( dev-lua/lua-zlib )"
+
+PATCHES=( "${FILESDIR}/${PN}-0.11.2-r1-gentoo.patch" )
+
+JABBER_ETC="/etc/jabber"
+JABBER_SPOOL="/var/spool/jabber"
+
+src_configure() {
+	# the configure script is handcrafted (and yells at unknown options)
+	# hence do not use 'econf'
+	./configure \
+		--ostype=linux \
+		--prefix="${EPREFIX}/usr" \
+		--libdir="${EPREFIX}/usr/$(get_libdir)" \
+		--sysconfdir="${EPREFIX}${JABBER_ETC}" \
+		--datadir="${EPREFIX}${JABBER_SPOOL}" \
+		--with-lua-include="${EPREFIX}/usr/include" \
+		--with-lua-lib="${EPREFIX}/usr/$(get_libdir)/lua" \
+		--runwith=lua"$(usev jit)" \
+		--cflags="${CFLAGS} -Wall -fPIC" \
+		--ldflags="${LDFLAGS} -shared" \
+		--c-compiler="$(tc-getCC)" \
+		--linker="$(tc-getCC)" || die "configure failed"
+
+	rm makefile && mv GNUmakefile Makefile || die
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	systemd_dounit "${FILESDIR}/${PN}".service
+	systemd_newtmpfilesd "${FILESDIR}/${PN}".tmpfilesd "${PN}".conf
+	newinitd "${FILESDIR}/${PN}".initd-r2 ${PN}
+	keepdir "${JABBER_SPOOL}"
+}


             reply	other threads:[~2020-10-03 13:43 UTC|newest]

Thread overview: 106+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-03 13:43 Conrad Kostecki [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-10-10 23:35 [gentoo-commits] repo/gentoo:master commit in: net-im/prosody/ Conrad Kostecki
2023-10-10 23:35 Conrad Kostecki
2023-10-10 23:35 Conrad Kostecki
2023-09-08 15:48 Conrad Kostecki
2023-03-25  0:11 Conrad Kostecki
2023-03-25  0:11 Conrad Kostecki
2023-03-25  0:11 Conrad Kostecki
2023-02-21 20:03 Conrad Kostecki
2023-01-31 15:17 Conrad Kostecki
2022-12-14  9:39 Conrad Kostecki
2022-07-10 20:13 Conrad Kostecki
2022-07-10 20:13 Conrad Kostecki
2022-07-10 20:13 Conrad Kostecki
2022-06-10 18:56 Conrad Kostecki
2022-04-17 14:44 Conrad Kostecki
2022-04-17 14:44 Conrad Kostecki
2022-02-24 19:31 Conrad Kostecki
2022-02-24 19:31 Conrad Kostecki
2022-02-24 19:31 Conrad Kostecki
2022-01-24 16:48 Conrad Kostecki
2022-01-13 17:11 Conrad Kostecki
2022-01-13 17:11 Conrad Kostecki
2022-01-13 17:11 Conrad Kostecki
2022-01-13 17:11 Conrad Kostecki
2021-12-21  0:40 Conrad Kostecki
2021-08-26 21:09 Conrad Kostecki
2021-08-26 21:03 Sam James
2021-08-25  4:23 Agostino Sarubbo
2021-08-11  0:04 Sam James
2021-08-09  6:40 Agostino Sarubbo
2021-08-07 22:49 Conrad Kostecki
2021-05-16  0:57 Conrad Kostecki
2021-05-16  0:03 Sam James
2021-05-14 17:22 Sam James
2021-05-14  9:36 Agostino Sarubbo
2021-05-14  9:30 Agostino Sarubbo
2021-05-13 23:28 Conrad Kostecki
2021-05-02 19:40 Mikle Kolyada
2021-03-01 19:17 Sam James
2021-03-01 19:17 Sam James
2021-03-01  9:20 Agostino Sarubbo
2021-02-25 13:54 Agostino Sarubbo
2021-02-15 20:58 Conrad Kostecki
2021-01-27 20:09 Conrad Kostecki
2021-01-23 22:51 Sam James
2021-01-23 22:51 Sam James
2021-01-23  4:20 Sam James
2021-01-23  4:09 Sam James
2021-01-04  0:25 Conrad Kostecki
2020-12-25 13:06 Conrad Kostecki
2020-12-14 17:59 Conrad Kostecki
2020-12-13 19:39 Conrad Kostecki
2020-12-05 20:55 Conrad Kostecki
2020-11-26 11:29 Sam James
2020-11-26  8:26 Sam James
2020-11-25 10:28 Thomas Deutschmann
2020-10-12 11:37 Conrad Kostecki
2020-10-03 18:35 Conrad Kostecki
2020-10-03 14:45 Conrad Kostecki
2020-10-03 13:43 Conrad Kostecki
2020-09-09  9:42 Tobias Klausmann
2020-05-05 14:40 Tobias Klausmann
2020-05-04 15:28 Agostino Sarubbo
2020-05-04 15:15 Agostino Sarubbo
2020-05-04 14:38 Agostino Sarubbo
2020-04-19  8:58 Tobias Klausmann
2020-04-11  5:33 Jason A. Donenfeld
2020-01-09 18:41 Rafael Martins
2019-11-01 14:38 Tobias Klausmann
2019-07-29  8:48 Mikle Kolyada
2019-05-19 20:53 Mikle Kolyada
2019-05-13  1:41 Thomas Deutschmann
2019-02-17 22:35 Thomas Deutschmann
2019-02-16 17:16 Tobias Klausmann
2019-01-17 14:19 Tobias Klausmann
2018-12-29 19:12 Thomas Deutschmann
2018-12-29 12:10 Mikle Kolyada
2018-12-26 14:38 Tobias Klausmann
2018-12-26 14:15 Tobias Klausmann
2018-12-02 17:11 Tobias Klausmann
2018-12-02 17:06 Tobias Klausmann
2018-11-26 13:28 Tobias Klausmann
2018-06-11 18:04 Tobias Klausmann
2018-06-11 17:58 Markus Meier
2018-06-02 17:36 Agostino Sarubbo
2018-06-01 13:01 Tobias Klausmann
2018-04-23 21:43 Mikle Kolyada
2017-10-29 22:08 Thomas Deutschmann
2017-10-29 11:17 Manuel Rüger
2017-10-09 13:44 Tobias Klausmann
2017-01-13 15:18 Tobias Klausmann
2017-01-02 19:35 Markus Meier
2016-12-26 18:41 Tobias Klausmann
2016-12-05  8:35 Tobias Klausmann
2016-11-05 14:41 Tobias Klausmann
2016-11-05 14:36 Tobias Klausmann
2016-06-28 12:02 Tobias Klausmann
2016-06-27  8:48 Agostino Sarubbo
2016-06-04  5:04 Markus Meier
2016-05-30 12:35 Tobias Klausmann
2016-01-28  8:35 Tobias Klausmann
2016-01-17 11:29 Markus Meier
2016-01-15 13:22 Andreas Schuerch
2016-01-13 17:18 Tobias Klausmann
2016-01-09 18:21 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1601732619.8f65138eda0e652b8f80f4652a223237f4e35c8b.conikost@gentoo \
    --to=conikost@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox